Bug 102528 - unable to rebuild wvdial from srpm
unable to rebuild wvdial from srpm
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: wvdial (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2003-08-16 12:59 EDT by alex kramarov
Modified: 2007-11-30 17:06 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-09-11 17:03:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description alex kramarov 2003-08-16 12:59:29 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; .NET CLR 

Description of problem:
while rebuilding the srpm on taroon machine :

/usr/include/wvstreams/wvstream.h:21: warning: `typename
   WvStreamCallback_bound<T>::BoundFunc' is implicitly a typename
/usr/include/wvstreams/wvstream.h:21: warning: implicit typename is deprecated,
   please see the documentation for details
wvmodemscan.cc: In member function `void WvModemScan::execute()':
wvmodemscan.cc:140: invalid conversion from `WvModem*' to `long int'
wvmodemscan.cc:204: invalid conversion from `WvModem*' to `long int'
wvmodemscan.cc:310: invalid conversion from `WvModem*' to `long int'
wvmodemscan.cc: In member function `size_t WvModemScan::coagulate(char*,
   unsigned int, int)':
wvmodemscan.cc:414: invalid conversion from `WvModem*' to `long int'
make[1]: *** [wvmodemscan.o] Error 1
make: *** [src] Error 2
error: Bad exit status from /var/tmp/rpm-tmp.63179 (%build)

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.get a taroon machine
2.rpmbuild --rebuild wvdial-1.53-9.src.rpm

Actual Results:  failes

Expected Results:  should succeed

Additional info:
Comment 1 Nalin Dahyabhai 2003-09-11 17:03:18 EDT
Can't reproduce this failure on my B1 test system with either 1.53-9 or 1.53-11.

Note You need to log in before you can comment on or make changes to this bug.